en Harbour, Linux

Notas respecto a Linux

/*
* $Id: linux1st.txt 9918 2008-11-12 19:03:30Z vszakats $
*/

Linux primer

Ubuntu/Debian distro
——————–

Packages needed to cleanly build Harbour:
(Tested with Ubuntu 7.04 and 8.04)

For GTCRS terminal lib:
sudo apt-get install libncurses-dev

For GTSLN terminal lib:
sudo apt-get install libslang2-dev

For GTXWC terminal lib:
sudo apt-get install libx11-dev

For console mouse support in GTTRM, GTSLN and GTCRS:
sudo apt-get install libgpmg1-dev

For contrib/hbodbc lib:
sudo apt-get install unixodbc-dev

For contrib/hbcurl lib:
sudo apt-get install libcurl4-openssl-dev
or
sudo apt-get install libcurl4-gnutls-dev

For contrib/hbfbird lib:
sudo apt-get install libfirebird2.0-dev
or
sudo apt-get install firebird2.1-dev

For contrib/hbfimage lib:
sudo apt-get install libfreeimage-dev

For contrib/hbgd lib:
sudo apt-get install libgd2-xpm-dev
or
sudo apt-get install libgd-xpm-dev

For contrib/hbmysql lib:
sudo apt-get install libmysqlclient15-dev

For contrib/hbpgsql lib:
sudo apt-get install libpq-dev

For contrib/hbgf/hbgfgtk lib:
sudo apt-get install libgtk2.0-dev
sudo apt-get install libglib2.0-dev

For contrib/rddads lib:
Download and install ‘Advantage Client Engine API for Linux’ package
(f.e. aceapi-9.00.0.0.tar.gz)

For contrib/hbhpdf lib:
Download and ‘./configure’, ‘make install’ libharu
from http://libharu.org/

openSUSE distro

You’ll need these packages to compile certain contribs and optional
Harbour modules:

– xorg-x11-devel
– postgresql-devel
– gtk2-devel
– ncurses-devel
– slang-devel
– unixodbc-devel
– gd-devel
– libmysqlclient-devel

For contrib/rddads lib:
Download and install ‘Advantage Client Engine API for Linux’ package
(f.e. aceapi-9.00.0.0.tar.gz)

For contrib/libharu:
– Download and ‘./configure’, ‘make install’ libharu
from http://libharu.org/
– libpng-devel
– zlib-devel

Escribe un comentario

Comentario